mpdf/psr-http-message-shim

Shim to allow support of different psr/message versions.

v2.0.1 2023-10-02 14:34 UTC

This package is auto-updated.

Last update: 2024-03-31 15:43:05 UTC


README

Trait to allow support of different psr/http-message versions.

Based on the psr-log-aware-trait, developed by Matěj Humpál, K Widholm and Mark Dorison.

By including this shim, you can allow composer to resolve your Psr\Http\Message version for you.

Use

Require the shim.

    composer require mpdf/psr-http-message-shim

Modify any use of mpdf's Request.php, Response.php, Stream.php and Uri.php classes to instead use versions from the Mpdf\HttpMessageShim namespace.